// Copper Alloys API code example
// API Documentation: https://apidocs.copper.org
// Documentation for this example: https://apidocs.copper.org/#/Forms_Listings/get_forms_json__formName___formName2_
// javascript call example for /forms.json/{formName};{formName}.
// see documentation for required and optional query parameters
// this is only an example and may not be production-ready

var token =""; // global variable that should have already been stored and updated earlier for subsequent API calls, see auth-token.js
var url = "https://api.copper.org/CDA-API/forms.json/Bar;Die%20Forging?token=" + token;

var client = new XMLHttpRequest();
client.open("GET", url, true);
client.setRequestHeader("Content-Type", "application/json");

client.onreadystatechange = function(){
  if (client.readyState == XMLHttpRequest.DONE) {
    if (this.readyState == 4 && client.status == 200) {
      //document.body.innerHTML = client.responseText; // TODO: change to document.getElementById("some_DOM_element_id"); //use your own DOM element
      //let's do something more interesting and parse the json profile with chemical composition
      var data = JSON.parse(client.responseText);
      json = data["copper-form"]["forms"];
      var list = '';
      json.forEach(function(obj){
        list += '<h1>' + obj["form"]["label"] + '</h1>';
        subForms = obj["form"]["sub-forms"];
        list += '<ul>'
        subForms.forEach(function(sub) {
          list += '<li>' + sub["sub-form"]["label"] + '</li>';
        });
        list += '</ul>';
      });

      document.body.innerHTML = list;
    }
    else {
      if(console) {console.log("The API request did not succeed!\nThe response status was: " + client.status + " " + client.statusText + ".");}
    }
  }
}

client.send();
